schemaVersion: 2.0.0
commandTests:
- name: "bmon: bandwidth monitor and rate estimator"
  command: "which"
  args: ["bmon"]
  expectedOutput: ["/bin/bmon"]
- name: "curl: tool to issue http requests"
  command: "which"
  args: ["curl"]
  expectedOutput: ["/bin/curl"]
- name: "iftop: network bandwidth monitoring tool"
  command: "which"
  args: ["iftop"]
  expectedOutput: ["/usr/sbin/iftop"]
- name: "iperf3: network bandwidth measurement tool"
  command: "which"
  args: ["iperf3"]
  expectedOutput: ["/bin/iperf3"]
- name: "ncat: networking utility for reading/writing network connections"
  command: "which"
  args: ["ncat"]
  expectedOutput: ["/bin/ncat"]
- name: "netstat: check open ports"
  command: "which"
  args: ["netstat"]
  expectedOutput: ["/bin/netstat"]
- name: "nmap: network topology discovery"
  command: "which"
  args: ["nmap"]
  expectedOutput: ["/bin/nmap"]
- name: "nslookup: dns lookups"
  command: "which"
  args: ["nslookup"]
  expectedOutput: ["/bin/nslookup"]
- name: "ping: send icmp echo_request to network hosts"
  command: "which"
  args: ["ping"]
  expectedOutput: ["/bin/ping"]
- name: "route: show/manipulate the IP routing table"
  command: "which"
  args: ["route"]
  expectedOutput: ["/sbin/route"]
- name: "ssh: for ssh connections"
  command: "which"
  args: ["ssh"]
  expectedOutput: ["/bin/ssh"]
- name: "tcpdump: for tcp tracing"
  command: "which"
  args: ["tcpdump"]
  expectedOutput: ["/usr/sbin/tcpdump"]
- name: "telnet: user interface to the TELNET protocol"
  command: "which"
  args: ["telnet"]
  expectedOutput: ["/bin/telnet"]
- name: "traceroute: for tracing network requests"
  command: "which"
  args: ["traceroute"]
  expectedOutput: ["/bin/traceroute"]
- name: "wget: retrieving files using HTTP, HTTPS, FTP and FTPS"
  command: "which"
  args: ["wget"]
  expectedOutput: ["/bin/wget"]
- name: "whois: requesting domain information"
  command: "which"
  args: ["whois"]
  expectedOutput: ["/bin/whois"]
